/*
 *   @(#) $Id: DefaultExceptionMonitor.java 264677 2005-08-30 02:44:35Z trustin $
 *
 *   Copyright 2004 The Apache Software Foundation
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */
package org.apache.mina.common;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * A default {@link ExceptionMonitor} implementation that logs uncaught
 * exceptions using {@link Logger}.
 * <p>
 * All {@link SessionManager}s have this implementation as a default exception
 * monitor.
 * 
 * @author Trustin Lee (trustin@apache.org)
 * @version $Rev: 264677 $, $Date: 2005-08-30 11:44:35 +0900 $
 */
public class DefaultExceptionMonitor implements ExceptionMonitor
{
    private static final Logger log = Logger.getLogger( DefaultExceptionMonitor.class.getName() );

    public void exceptionCaught( Object source, Throwable cause )
    {
        log.log( Level.WARNING, "Unexpected exception.", cause );
    }
}